<h1> <%= _('Set Environment Portal') %></h1>

<% if @portal_community.new_record? %>
  <%= form_tag do %>
    <%= labelled_form_field(_('Portal identifier'), text_field_tag('portal_community_identifier', @portal_community.identifier, :size => 40) ) %>

    <% button_bar do %>
      <%= submit_button 'save', _('Save'), :cancel => { :action => 'index' }  %>
    <% end %>
  <% end %>
<% else %>
  <%= _('Portal identifier: %s') % link_to(@portal_community.identifier, @portal_community.url) %>

  <% button_bar do %>
    <%if @portal_community.environment.enabled?('use_portal_community') %>
      <%= button 'cancel', _('Disable'), {:action => 'manage_portal_community', :activate => 0} %>
    <% else %>
      <%= button 'ok', _('Enable'), {:action => 'manage_portal_community', :activate => 1} %>
    <% end %>
    <%= button 'folder', _('Select Portal Folders'), {:action => 'set_portal_folders'} %>
    <%= button 'edit', _('Define Amount by Folder'), {:action => 'set_portal_news_amount'} %>
    <%= button 'delete', _('Remove'), { :action => 'unset_portal_community'} %>
  <% end %>
<% end %>
